### Method

# Gtk EventController set_name

#### Declaration [src]

    void
    gtk_event_controller_set_name (
      GtkEventController* controller,
      const char* name
    )

#### Description [src]

Sets a name on the controller that can be used for debugging.

Sets property | `Gtk.EventController:name`

#### Parameters

`name` | `const char*`
| A name for `controller`.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.